Subject: RE: What's cooking in git.git (Jun 2021, #06; Thu, 17)

From: "Randall S. Becker" <[email-masked]>
Date: Fri, 25 Jun 2021 18:26:53 -0400

On June 25, 2021 6:22 PM, Emily Shaffer wrote:
>On Thu, Jun 17, 2021 at 11:55:26AM +0900, Junio C Hamano wrote:
>> * es/trace2-log-parent-process-name (2021-06-09) 1 commit
>>  - tr2: log parent process name
>>
>>  trace2 logs learned to show parent process name to see in what
>> context Git was invoked.
>>
>>  Will merge to 'next'?
>
>I've still not seen much in the way of reviews on this series; mostly Randall and I have been talking about ramifications for
NonStop, but
>those conversations haven't resulted in changes to the series itself.

I'm waiting for the merge to try it in our environment in some real-world situations on the platform. It should be interesting to
see what can be reported and subsequently contributed.

>I think it's fine to merge, but I wrote it, so you shouldn't trust my opinion. :)
>
>We've been running this series internally at Google, though, and it looks like we do want to look up more ancestors than just the
one
>generation, after all. However, I'd prefer to send that as a follow-on patch, compared stalling this topic further.
>
>We do have some early insights from these, though. One interesting observation is that it appears Git is more often invoked via
some
>wrapper than interactively; that's not too surprising given that we have a lot of builders who perform Git operations.
>
>Anyway, all this to say that we've found this trace useful at Google and it's working well for us. Anybody interested in a speedy
review
>would be very welcome.